Bug 200349 - Blackbox will not use XFT fonts
Blackbox will not use XFT fonts
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: blackbox (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 21:48 EDT by Chris Rainey
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-28 06:44:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Rainey 2006-07-26 21:48:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.4) Gecko/20060614 Fedora/1.5.0.4-1.2.fc5 Firefox/1.5.0.4 pango-text

Description of problem:
I have installed FC5 with a minimum text-based install and added packages as I have needed.  Everything works, except blackbox will not load any XFT fonts.  I have installed all dependents using only the YUM manager for xorg-x11-server, xorg-x11-fonts-Type1 and xorg-x11-fonts-Truetype.

Version-Release number of selected component (if applicable):
blackbox-0.70.1-4.fc5

How reproducible:
Always


Steps to Reproduce:
1.  Install minimal FC5 using text-based installer
2.  Yum update/install needed items
3.  Attempt to configure XFT fonts in Blackbox styles files

Actual Results:
Only the built-in FIXED font is used.

Expected Results:
Fonts follow style files

Additional info:
Here are all of the font related rpms which I have installed:

[root@ckr-1 ~]# rpm -qa|grep -ir font
fontconfig-2.3.94-1
xorg-x11-font-utils-1.0.1-3
urw-fonts-2.3-6.1
fonttools-2.0-0.6.20050624cvs.fc5
libXfont-1.0.0-2.2
chkfontpath-1.10.1-1
xorg-x11-fonts-Type1-7.0-3
bitmap-fonts-0.3-5.1
ghostscript-fonts-5.50-13.1
mplayer-fonts-1.1-3.lvn5
xorg-x11-fonts-truetype-7.0-3
bitstream-vera-fonts-1.10-5.1
libfontenc-1.0.1-1.2
libXfontcache-1.0.1-1.2
xorg-x11-fonts-base-7.0-3
[root@ckr-1 ~]#
Comment 1 Matthias Saou 2006-08-24 08:15:54 EDT
Are you able to reproduce on a non-minimal installation? Say, where GNOME works,
try blackbox and see...
Otherwise, try "yum list 'xorg-*' and see if any of the non-installed packages
could be relevant in order to fix the problem.
Comment 2 Chris Rainey 2006-08-26 13:48:09 EDT
Thanks for the reply.

I have switched-back to TWM with all decorations turned-off using the following:


[chris@ckr-1 ~]$ cat /usr/lib/X11/twm/system.twmrc 
NoTitle
RandomPlacement
DontMoveOff
Button1 = m4 : all : f.move
Button2 = m4 : all : f.resize
"q" = m4 : all : ! "xterm -en UTF-8 -ls &"
"w" = m4 : all : ! "firefox &"
"e" = m4 : all : ! "xterm -en UTF-8 -e 'echo; echo; date +\"%A  %D ~ %T  %Z\" &&
echo; echo; cal -3  && echo; echo; acpitool && sleep 5' &"
"d" = m4 : all : ! "xterm -en UTF-8 -e top &"
"c" = m4 : all : ! "xterm -en UTF-8 -e alsamixer &"
"l" = m4 : all : ! "xscreensaver-command -lock &"
"a" = m4 : all : f.vlzoom
"s" = m4 : all : f.vrzoom
"z" = m4 : all : f.fullzoom 
"x" = m4 : all : f.raiselower
[chris@ckr-1 ~]$

Believe it or not .... this is even better for my needs.

Cheers.
Comment 3 Matthias Saou 2006-08-28 06:44:13 EDT
Resolving as DEFERRED then : Until someone who might have the same issue wants
to reopen it and investigate further.

Note You need to log in before you can comment on or make changes to this bug.